<template>
  <div class="main-layout">
    <slot name="header"></slot>
    <slot name="page-title"></slot>
    <slot name="main-content"></slot>
    <slot name="footer"></slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "TheMainLayout"
});
</script>
